---
- name: "Ensure systemd service"
  template:
    src: "traefik.service.j2"
    dest: "/etc/systemd/system/traefik.service"
    owner: "root"
    group: "root"
    mode: 0644
  notify:
    - "Restart traefik"
    - "Reload systemd"

- name: "Flush handlers"
  meta: "flush_handlers"

- name: "Ensure running"
  service:
    name: "traefik"
    state: "started"
    enabled: true
